Skip to content
Search
Search the documentation
ProjectWebhook
GitHub GitHub

ProjectWebhook

Interface: ProjectWebhook

Defined in: v1/types/webhooks.ts:11

A webhook registered for a project, as returned by the list endpoint. The signing secret is only included in the create and rotate responses - it is never returned here.

  • GET /v1/projects/:project_id/webhooks

See

https://docs.top.gg/api/v1/project-webhooks#get-projectsproject_idwebhooks

Extended by

Properties

id

id: string

Defined in: v1/types/webhooks.ts:15

The webhook’s unique identifier.


label

label: string

Defined in: v1/types/webhooks.ts:19

The dashboard label for this webhook.


url

url: string

Defined in: v1/types/webhooks.ts:23

The HTTPS URL Top.gg delivers webhook events to.